Skip to main content
POST
/
io.pocketenv.sandbox.putSshKeys
Add or update SSH keys for a sandbox.
curl --request POST \
  --url https://api.pocketenv.io/xrpc/io.pocketenv.sandbox.putSshKeys \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "<string>",
  "privateKey": "<string>",
  "publicKey": "<string>",
  "redacted": "<string>"
}
'
{
  "id": "<string>",
  "publicKey": "<string>",
  "privateKey": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
id
string
required

The sandbox ID.

privateKey
string
required

The private SSH key (encrypted)

publicKey
string
required

The public SSH key.

redacted
string

The redacted SSH key.

Response

OK

id
string

Unique identifier of the SSH key.

publicKey
string

The public SSH key.

privateKey
string

The private SSH key (redacted in API responses)

createdAt
string<date-time>

The timestamp when the SSH key was created.

updatedAt
string<date-time>

The timestamp when the SSH key was last updated.